CRAN Package Check Results for Package usmap

Last updated on 2024-06-14 02:54:21 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.7.1 4.26 116.56 120.82 OK
r-devel-linux-x86_64-debian-gcc 0.7.1 2.94 34.48 37.42 ERROR
r-devel-linux-x86_64-fedora-clang 0.7.1 156.01 NOTE
r-devel-linux-x86_64-fedora-gcc 0.7.1 154.92 NOTE
r-devel-windows-x86_64 0.7.1 5.00 107.00 112.00 OK
r-patched-linux-x86_64 0.7.1 4.72 110.55 115.27 OK
r-release-linux-x86_64 0.7.1 3.28 111.06 114.34 OK
r-release-macos-arm64 0.7.1 52.00 OK
r-release-macos-x86_64 0.7.1 77.00 OK
r-release-windows-x86_64 0.7.1 6.00 114.00 120.00 OK
r-oldrel-macos-arm64 0.7.1 54.00 OK
r-oldrel-macos-x86_64 0.7.1 121.00 OK
r-oldrel-windows-x86_64 0.7.1 6.00 125.00 131.00 OK

Check Details

Version: 0.7.1
Check: package dependencies
Result: NOTE Packages suggested but not available for checking: 'ggplot2', 'ggrepel', 'testthat', 'vdiffr' Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.7.1
Check: examples
Result: ERROR Running examples in ‘usmap-Ex.R’ failed The error most likely occurred in: > base::assign(".ptime", proc.time(), pos = "CheckExEnv") > ### Name: .east_north_central > ### Title: East North Central census division > ### Aliases: .east_north_central > ### Keywords: datasets > > ### ** Examples > > plot_usmap(include = .east_north_central, labels = TRUE) Error in plot_usmap(include = .east_north_central, labels = TRUE) : `ggplot2` must be installed to use `plot_usmap`. Use: install.packages("ggplot2") and try again. Execution halted Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.7.1
Check: tests
Result: ERROR Running ‘spelling.R’ [0s/1s] Running ‘testthat.R’ [0s/1s] Running the tests in ‘tests/testthat.R’ failed. Complete output: > # This file is part of the standard setup for testthat. > # It is recommended that you do not modify it. > # > # Where should you do additional test configuration? > # Learn more about the roles of various files in: > # * https://r-pkgs.org/testing-design.html#sec-tests-files-overview > # * https://testthat.r-lib.org/articles/special-files.html > > library(testthat) Error in library(testthat) : there is no package called 'testthat' Execution halted Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.7.1
Check: re-building of vignette outputs
Result: ERROR Error(s) in re-building vignettes: ... --- re-building ‘usmap1.Rmd’ using rmarkdown Quitting from lines 26-27 [unnamed-chunk-1] (usmap1.Rmd) Error: processing vignette 'usmap1.Rmd' failed with diagnostics: `ggplot2` must be installed to use `plot_usmap`. Use: install.packages("ggplot2") and try again. --- failed re-building ‘usmap1.Rmd’ --- re-building ‘usmap2.Rmd’ using rmarkdown Quitting from lines 24-31 [unnamed-chunk-1] (usmap2.Rmd) Error: processing vignette 'usmap2.Rmd' failed with diagnostics: there is no package called 'ggplot2' --- failed re-building ‘usmap2.Rmd’ --- re-building ‘usmap3.Rmd’ using rmarkdown Quitting from lines 26-27 [unnamed-chunk-1] (usmap3.Rmd) Error: processing vignette 'usmap3.Rmd' failed with diagnostics: `ggplot2` must be installed to use `plot_usmap`. Use: install.packages("ggplot2") and try again. --- failed re-building ‘usmap3.Rmd’ SUMMARY: processing the following files failed: ‘usmap1.Rmd’ ‘usmap2.Rmd’ ‘usmap3.Rmd’ Error: Vignette re-building failed. Execution halted Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.7.1
Check: data for non-ASCII characters
Result: NOTE Note: found 17 marked UTF-8 strings Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc